#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1)
%define		majorver	%(echo %{version} | cut -d '.' -f1).0
#-----------------------------------------------------------------------------
Name		:	gtksourceview-old
Version		:	3.24.11
Release		:	16.2.0.rel%{?dist}
Summary		:	text widget that extends the standard GTK+ text widget.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://ftp.gnome.org/pub/gnome/sources/gtksourceview

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gobject-introspection
BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
GtkSourceView is a GNOME library that extends GtkTextView, the standard
GTK+ widget for multiline text editing. GtkSourceView adds support for
syntax highlighting, undo/redo, file loading and saving, search and
replace, a completion system, printing, displaying line numbers, and other
features typical of a source code editor. 

%prep
%setup -q -n %{sname}-%{version}

#---------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
make %{?_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{sname}-%{majorver}/%{sname}/*.h
%{_includedir}/%{sname}-%{majorver}/%{sname}/completion-providers/words/*.h
%{_libdir}/lib%{sname}-%{majorver}.so*
%{_libdir}/pkgconfig/%{sname}-%{majorver}.pc
%{_libdir}/girepository-1.0/GtkSource-%{majorver}.typelib
%{_datadir}/gir-1.0/GtkSource-%{majorver}.gir
%{_datadir}/gtk-doc/html/%{sname}-%{majorver}/*.{html,png}
%{_datadir}/gtk-doc/html/%{sname}-%{majorver}/%{sname}-%{majorver}.devhelp2
%{_datadir}/gtk-doc/html/%{sname}-%{majorver}/style.css
%{_datadir}/%{sname}-%{majorver}/language-specs/*.lang
%{_datadir}/%{sname}-%{majorver}/language-specs/language*
%{_datadir}/%{sname}-%{majorver}/styles/*.xml
%{_datadir}/%{sname}-%{majorver}/styles/styles.rng
%{_datadir}/locale/*/LC_MESSAGES/%{sname}-%{majorver}.mo
%{_datadir}/vala/vapi/%{sname}-%{majorver}.{deps,vapi}

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
